## uswsusp 0.2.3

=== Makefile ===
CONFIG_COMPRESS=yes
#CONFIG_ENCRYPT=yes

ARCH:=$(shell uname -m)

CC_FLAGS=-g -I/usr/local/include
LD_FLAGS=-L/usr/local/lib

ifdef CONFIG_COMPRESS
CC_FLAGS	+= -Ilzf -DCONFIG_COMPRESS
LD_FLAGS	+= -Llzf -llzf
endif
ifdef CONFIG_ENCRYPT
GCRYPT_CC_FLAGS := $(shell libgcrypt-config --cflags)
GCRYPT_LD_FLAGS := $(shell libgcrypt-config --libs)
CC_FLAGS	+= -DCONFIG_ENCRYPT
CC_FLAGS	+= $(GCRYPT_CC_FLAGS)
LD_FLAGS	+= $(GCRYPT_LD_FLAGS)
endif

SPLASHOBJ=splash.o

SUSPEND_DIR=/usr/local/sbin
CONFIG_DIR=/etc
RESUME_DEVICE=<path_to_resume_device_file>
BOOT_DIR=/boot

S2DISK=s2disk
CONFIGFILE=suspend.conf

ifdef CONFIG_ENCRYPT
all: $(S2DISK) suspend-keygen resume
else
all: lzf $(S2DISK) resume
endif

clean:
	rm -f $(S2DISK) suspend-keygen suspend.keys resume s2ram *.o lzf/*.o lzf/*.a 

s2ram:	s2ram.c dmidecode.c whitelist.c radeontool.c $(S2RAMOBJ)
	$(CC) -g -Wall -O2 s2ram.c $(S2RAMOBJ) -lpci -o s2ram

vbetool/vbetool.o:	vbetool/vbetool.c
	$(CC) -Wall -O2 -DS2RAM -c vbetool/vbetool.c -o vbetool/vbetool.o

vbetool/lrmi.o:	vbetool/lrmi.c
	$(CC) -Wall -O2 -c vbetool/lrmi.c -o vbetool/lrmi.o

vbetool/x86-common.o:	vbetool/x86-common.c
	$(CC) -Wall -O2 -c vbetool/x86-common.c -o vbetool/x86-common.o

vbetool/x86emu/libx86emu.a:
	make -C vbetool/x86emu -f makefile.linux

vbetool/thunk.o:	vbetool/thunk.c
	$(CC) -Wall -O2 -c vbetool/thunk.c -o vbetool/thunk.o

dmidecode.o:	dmidecode.c
	$(CC) -Wall -O2 -DS2RAM -c dmidecode.c -o dmidecode.o

radeontool.o:	radeontool.c
	$(CC) -Wall -O2 -DS2RAM -c radeontool.c -o radeontool.o

md5.o:	md5.c md5.h
	$(CC) -Wall -o md5.o -DHAVE_INTTYPES_H -DHAVE_STDINT_H -c md5.c

encrypt.o:	encrypt.c encrypt.h md5.h
	$(CC) -Wall -DHAVE_INTTYPES_H -DHAVE_STDINT_H $(CC_FLAGS) -c encrypt.c

config.o:	config.c config.h
	$(CC) -Wall $(CC_FLAGS) -c config.c

vt.o:	vt.c vt.h
	$(CC) -Wall -c vt.c

lzf/liblzf.a:
	make -C lzf

$(S2DISK):	lzf/liblzf.a vt.o md5.o encrypt.o config.o suspend.c swsusp.h config.h encrypt.h md5.h $(SPLASHOBJ)
	$(CC) -g -O2 -Wall $(CC_FLAGS) vt.o md5.o encrypt.o config.o suspend.c -o $@ $(SPLASHOBJ) $(LD_FLAGS) -lusplash

$(S2BOTH):	md5.o encrypt.o config.o suspend.c swsusp.h config.h encrypt.h md5.h s2ram.c dmidecode.c whitelist.c radeontool.c $(S2RAMOBJ) $(SPLASHOBJ)
	$(CC) -g -O2 -DCONFIG_BOTH -Wall $(CC_FLAGS) md5.o encrypt.o config.o suspend.c s2ram.c -o $@ $(S2RAMOBJ) $(SPLASHOBJ) $(LD_FLAGS) -lpci

resume:	md5.o encrypt.o config.o resume.c swsusp.h config.h encrypt.h md5.h $(SPLASHOBJ)
	$(CC) -Wall $(CC_FLAGS) md5.o encrypt.o config.o vt.o resume.c $(SPLASHOBJ) -o resume $(LD_FLAGS) -lusplash

ifdef CONFIG_ENCRYPT
suspend-keygen:	md5.o keygen.c encrypt.h md5.h
	$(CC) -Wall -DHAVE_INTTYPES_H -DHAVE_STDINT_H $(CC_FLAGS) md5.o keygen.c -o suspend-keygen $(LD_FLAGS)

install-s2disk: $(S2DISK) suspend-keygen conf/$(CONFIGFILE)
	if [ ! -c /dev/snapshot ]; then mknod /dev/snapshot c 10 231; fi
	install --mode=755 suspend-keygen $(DESTDIR)$(SUSPEND_DIR)
	install --mode=755 $(S2DISK) $(DESTDIR)$(SUSPEND_DIR)
	if [ -f $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE) ]; then install --mode=644 conf/$(CONFIGFILE) $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE).new; else install --mode=644 conf/$(CONFIGFILE) $(DESTDIR)$(CONFIG_DIR); fi

install-suspend: $(S2DISK) $(S2BOTH) suspend-keygen conf/$(CONFIGFILE)
	if [ ! -c /dev/snapshot ]; then mknod /dev/snapshot c 10 231; fi
	install --mode=755 suspend-keygen $(DESTDIR)$(SUSPEND_DIR)
	install --mode=755 $(S2DISK) $(DESTDIR)$(SUSPEND_DIR)
	install --mode=755 $(S2BOTH) $(DESTDIR)$(SUSPEND_DIR)
	if [ -f $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE) ]; then install --mode=644 conf/$(CONFIGFILE) $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE).new; else install --mode=644 conf/$(CONFIGFILE) $(DESTDIR)$(CONFIG_DIR); fi
	install --mode=755 s2ram $(DESTDIR)$(SUSPEND_DIR)
else
install-s2disk: $(S2DISK) conf/$(CONFIGFILE)
	if [ ! -c /dev/snapshot ]; then mknod /dev/snapshot c 10 231; fi
	install --mode=755 $(S2DISK) $(DESTDIR)$(SUSPEND_DIR)
	if [ -f $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE) ]; then install --mode=644 conf/$(CONFIGFILE) $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE).new; else install --mode=644 conf/$(CONFIGFILE) $(DESTDIR)$(CONFIG_DIR); fi

install-suspend: $(S2DISK) $(S2BOTH) conf/$(CONFIGFILE)
	if [ ! -c /dev/snapshot ]; then mknod /dev/snapshot c 10 231; fi
	install --mode=755 $(S2DISK) $(DESTDIR)$(SUSPEND_DIR)
	install --mode=755 $(S2BOTH) $(DESTDIR)$(SUSPEND_DIR)
	if [ -f $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE) ]; then install --mode=644 conf/$(CONFIGFILE) $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE).new; else install --mode=644 conf/$(CONFIGFILE) $(DESTDIR)$(CONFIG_DIR); fi
	install --mode=755 s2ram $(DESTDIR)$(SUSPEND_DIR)
endif

install-resume-initrd:	resume conf/$(CONFIGFILE)
	BOOT_DIR=$(DESTDIR)$(BOOT_DIR) ./scripts/create-resume-initrd.sh $(RESUME_DEVICE)

install-resume:		resume 
	./scripts/install-resume.sh

=== lzf/Makefile ===
all: Makefile lzf

clean:
	-rm -f *.o *.a lzf bench

lzf_c.o: lzf_c.c lzfP.h

lzf_d.o: lzf_d.c lzfP.h

lzf.o: lzf.c

lzf: lzf.o liblzf.a

lzfP.h: lzf.h

liblzf.a: lzf_c.o lzf_d.o
	rm -f $@
	ar rc $@ $^
	ranlib $@

=== debian/changelog ===
uswsusp (0.2.3) edgy; urgency=low

  * Tighten the build-depends somewhat further

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 19 Sep 2006 06:36:22 +0100

uswsusp (0.2.2) edgy; urgency=low

  * Tighten the build-depends

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 18 Sep 2006 16:48:31 +0100

uswsusp (0.2.1) edgy; urgency=low

  * Improve graphical feedback support

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 15 Sep 2006 21:42:26 +0100

uswsusp (0.2) edgy; urgency=low

  * Add support for graphical feedback

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 24 Aug 2006 00:53:27 +0100

uswsusp (0.1) edgy; urgency=low

  * Initial Release.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 11 Aug 2006 09:42:59 +0100

=== debian/control ===
Source: uswsusp
Section: utils
Priority: optional
Maintainer: Matthew Garrett <mjg59@srcf.ucam.org>
Build-Depends: debhelper (>= 5), usplash (>= 0.4-26), usplash-dev (>= 0.4-26)
Standards-Version: 3.7.2

Package: uswsusp
Architecture: any
Depends: libvolumeid0 (>= 093-0ubuntu9), initramfs-tools (>= 0.69ubuntu8), usplash (>= 0.4-26) ${shlibs:Depends}, ${misc:Depends}
Description: Userspace suspend/resume to disk
 uswsusp uses the kernel suspend interface in order to suspend a system to
 disk. By running in userland, it is able to perform jobs such as compressing
 the image and interacting with graphical splash systems.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/uswsusp.sgml > uswsusp.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/uswsusp.
	cp resume debian/uswsusp/sbin
	cp s2disk debian/uswsusp/sbin
	cp debian/uswsusp.hooks debian/uswsusp/usr/share/initramfs-tools/hooks/swsusp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## uswsusp 0.3~cvs20060928

=== suspend-cvs20060928/Makefile ===
#CONFIG_COMPRESS=yes
#CONFIG_ENCRYPT=yes
#CONFIG_SPLASHY=yes
#CONFIG_UDEV=yes

ARCH:=$(shell uname -m)

CC_FLAGS=-I/usr/local/include
LD_FLAGS=-L/usr/local/lib

CFLAGS := -O2 -Wall

ifdef CONFIG_COMPRESS
CC_FLAGS	+= -DCONFIG_COMPRESS
LD_FLAGS	+= -llzf
endif
ifdef CONFIG_ENCRYPT
GCRYPT_CC_FLAGS := $(shell libgcrypt-config --cflags)
GCRYPT_LD_FLAGS := $(shell libgcrypt-config --libs)
CC_FLAGS	+= -DCONFIG_ENCRYPT
CC_FLAGS	+= $(GCRYPT_CC_FLAGS)
LD_FLAGS	+= $(GCRYPT_LD_FLAGS)
endif

SUSPEND_DIR=/usr/local/sbin
CONFIG_DIR=/etc
RESUME_DEVICE=<path_to_resume_device_file>
BOOT_DIR=/boot

S2BOTH=s2both
S2DISK=s2disk
CONFIGFILE=suspend.conf

ifndef CONFIG_UDEV
SNAPSHOT=$(DESTDIR)/dev/snapshot
endif

ifdef CONFIG_ENCRYPT
all: $(S2DISK) $(S2BOTH) suspend-keygen resume s2ram
else
all: $(S2DISK) $(S2BOTH) resume s2ram
endif

S2RAMOBJ=vt.o vbetool/lrmi.o vbetool/x86-common.o vbetool/vbetool.o radeontool.o dmidecode.o

ifeq ($(ARCH), x86_64)
S2RAMOBJ=vt.o vbetool/thunk.o vbetool/x86-common.o vbetool/vbetool.o vbetool/x86emu/libx86emu.a radeontool.o dmidecode.o
endif

SPLASHOBJ = splash.o bootsplash.o 

ifdef CONFIG_SPLASHY
CC_FLAGS	+= -DCONFIG_SPLASHY
LD_FLAGS	+= -lsplashy
SPLASHOBJ 	+= splashy_funcs.o 
STATIC_LD_FLAGS= -lsplashycnf \
		$(shell directfb-config  --libs --input=keyboard \
		--imageprovider=jpeg,gif,png\
		--font=ft2,default) \
		$(shell pkg-config --static --libs glib-2.0)
STATIC_CC_FLAGS=$(shell directfb-config --cflags)\
		$(shell pkg-config --static --cflags glib-2.0)
endif

clean:
	rm -f $(S2DISK) $(S2BOTH) suspend-keygen suspend.keys resume s2ram *.o vbetool/*.o vbetool/x86emu/*.o vbetool/x86emu/*.a

s2ram:	s2ram.c dmidecode.c whitelist.c radeontool.c $(S2RAMOBJ)
	$(CC) $(CFLAGS) -g s2ram.c $(S2RAMOBJ) -lpci -o s2ram

vbetool/vbetool.o:	vbetool/vbetool.c
	$(CC) $(CFLAGS) -DS2RAM -c vbetool/vbetool.c -o vbetool/vbetool.o

vbetool/lrmi.o:	vbetool/lrmi.c
	$(CC) $(CFLAGS) -c vbetool/lrmi.c -o vbetool/lrmi.o

vbetool/x86-common.o:	vbetool/x86-common.c
	$(CC) $(CFLAGS) -c vbetool/x86-common.c -o vbetool/x86-common.o

vbetool/x86emu/libx86emu.a:
	make -C vbetool/x86emu -f makefile.linux

vbetool/thunk.o:	vbetool/thunk.c
	$(CC) $(CFLAGS) -c vbetool/thunk.c -o vbetool/thunk.o

dmidecode.o:	dmidecode.c
	$(CC) $(CFLAGS) -DS2RAM -c dmidecode.c -o dmidecode.o

radeontool.o:	radeontool.c
	$(CC) $(CFLAGS) -DS2RAM -c radeontool.c -o radeontool.o

md5.o:	md5.c md5.h
	$(CC) $(CFLAGS) -DHAVE_INTTYPES_H -DHAVE_STDINT_H -c md5.c -o md5.o

encrypt.o:	encrypt.c encrypt.h md5.h
	$(CC) $(CFLAGS) -DHAVE_INTTYPES_H -DHAVE_STDINT_H $(CC_FLAGS) -c encrypt.c -o encrypt.o

config.o:	config.c config.h
	$(CC) $(CFLAGS) $(CC_FLAGS) -c config.c -o config.o

vt.o:	vt.c vt.h
	$(CC) $(CFLAGS) -c vt.c -o vt.o

bootsplash.o: bootsplash.h bootsplash.c
	$(CC) -g $(CFLAGS) $(CC_FLAGS) -c bootsplash.c -o bootsplash.o

splash.o: splash.h splash.c bootsplash.o vt.o splashy_funcs.o
	$(CC) -g $(CFLAGS) $(CC_FLAGS) -c splash.c -o splash.o

splashy_funcs.o: splashy_funcs.c splashy_funcs.h
	$(CC) -g $(CFLAGS) $(CC_FLAGS) -c $< -o $@

$(S2DISK):	vt.o md5.o encrypt.o config.o suspend.c swsusp.h config.h encrypt.h md5.h $(SPLASHOBJ)
	$(CC) -g $(CFLAGS) $(CC_FLAGS) vt.o md5.o encrypt.o config.o suspend.c -o $@ $(SPLASHOBJ) $(LD_FLAGS)

$(S2BOTH):	md5.o encrypt.o config.o suspend.c swsusp.h config.h encrypt.h md5.h s2ram.c dmidecode.c whitelist.c radeontool.c $(S2RAMOBJ) $(SPLASHOBJ)
	$(CC) -g $(CFLAGS) -DCONFIG_BOTH $(CC_FLAGS) md5.o encrypt.o config.o suspend.c s2ram.c -o $@ $(S2RAMOBJ) $(SPLASHOBJ) $(LD_FLAGS) -lpci

resume:	md5.o encrypt.o config.o resume.c swsusp.h config.h encrypt.h md5.h $(SPLASHOBJ)
	$(CC) $(CFLAGS) $(CC_FLAGS) $(STATIC_CC_FLAGS) md5.o encrypt.o config.o vt.o resume.c $(SPLASHOBJ) -static -o resume $(LD_FLAGS) $(STATIC_LD_FLAGS)

ifdef CONFIG_ENCRYPT
suspend-keygen:	md5.o keygen.c encrypt.h md5.h
	$(CC) $(CFLAGS) -DHAVE_INTTYPES_H -DHAVE_STDINT_H $(CC_FLAGS) md5.o keygen.c -o suspend-keygen $(LD_FLAGS)

install-s2disk: $(S2DISK) suspend-keygen conf/$(CONFIGFILE) $(SNAPSHOT)
	install --mode=755 suspend-keygen $(DESTDIR)$(SUSPEND_DIR)
	install --mode=755 $(S2DISK) $(DESTDIR)$(SUSPEND_DIR)
	if [ -f $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE) ]; then install --mode=644 conf/$(CONFIGFILE) $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE).new; else install --mode=644 conf/$(CONFIGFILE) $(DESTDIR)$(CONFIG_DIR); fi

install-suspend: $(S2DISK) $(S2BOTH) suspend-keygen conf/$(CONFIGFILE) $(SNAPSHOT)
	install --mode=755 suspend-keygen $(DESTDIR)$(SUSPEND_DIR)
	install --mode=755 $(S2DISK) $(DESTDIR)$(SUSPEND_DIR)
	install --mode=755 $(S2BOTH) $(DESTDIR)$(SUSPEND_DIR)
	if [ -f $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE) ]; then install --mode=644 conf/$(CONFIGFILE) $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE).new; else install --mode=644 conf/$(CONFIGFILE) $(DESTDIR)$(CONFIG_DIR); fi
	install --mode=755 s2ram $(DESTDIR)$(SUSPEND_DIR)
else
install-s2disk: $(S2DISK) conf/$(CONFIGFILE) $(SNAPSHOT)
	install --mode=755 $(S2DISK) $(DESTDIR)$(SUSPEND_DIR)
	if [ -f $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE) ]; then install --mode=644 conf/$(CONFIGFILE) $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE).new; else install --mode=644 conf/$(CONFIGFILE) $(DESTDIR)$(CONFIG_DIR); fi

install-suspend: $(S2DISK) $(S2BOTH) conf/$(CONFIGFILE) $(SNAPSHOT)
	install --mode=755 $(S2DISK) $(DESTDIR)$(SUSPEND_DIR)
	install --mode=755 $(S2BOTH) $(DESTDIR)$(SUSPEND_DIR)
	if [ -f $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE) ]; then install --mode=644 conf/$(CONFIGFILE) $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE).new; else install --mode=644 conf/$(CONFIGFILE) $(DESTDIR)$(CONFIG_DIR); fi
	install --mode=755 s2ram $(DESTDIR)$(SUSPEND_DIR)
endif

install-resume-initrd:	resume conf/$(CONFIGFILE)
	BOOT_DIR=$(DESTDIR)$(BOOT_DIR) ./scripts/create-resume-initrd.sh $(RESUME_DEVICE)

install-resume:		resume 
	./scripts/install-resume.sh

$(SNAPSHOT):
	mknod $(SNAPSHOT) c 10 231;

## uswsusp 0.6~cvs20070618

=== suspend-cvs20070618/Makefile ===
#CONFIG_COMPRESS=yes
#CONFIG_ENCRYPT=yes
#CONFIG_SPLASHY=yes
#CONFIG_UDEV=yes
#CONFIG_RESUME_DYN=yes

SUSPEND_DIR=/usr/local/sbin
RESUME_DIR=/usr/local/lib/suspend
CONFIG_DIR=/etc
RESUME_DEVICE=<path_to_resume_device_file>
BOOT_DIR=/boot
CONFIGFILE=suspend.conf
CFLAGS := -O2 -Wall

###############################################################

ARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ -e s/ppc.*/ppc/)

CC_FLAGS=-I/usr/local/include -DS2RAM $(CFLAGS)
LD_FLAGS=-L/usr/local/lib

BINARIES=s2disk s2both s2ram swap-offset resume
BINARIES_MIN=s2disk swap-offset

S2RAM_OBJ=vt.o config.o
SWSUSP_OBJ=vt.o md5.o encrypt.o config.o loglevel.o splash.o bootsplash.o 

S2RAM_LD_FLAGS = $(LD_FLAGS)
SWSUSP_LD_FLAGS = $(LD_FLAGS)
ifeq ($(ARCH), x86)
S2RAM_OBJ += s2ram-x86.o dmidecode.o radeontool.o vbetool/vbetool.o
S2RAM_LD_FLAGS += -lx86 -lpci -lz
else ifeq ($(ARCH), ppc)
S2RAM_OBJ += s2ram-ppc.o
endif

ifndef CONFIG_RESUME_DYN
STATIC_LD_FLAGS = -static
endif

ifdef CONFIG_COMPRESS
CC_FLAGS	+= -DCONFIG_COMPRESS
SWSUSP_LD_FLAGS	+= -llzf
endif

ifdef CONFIG_ENCRYPT
BINARIES	+= suspend-keygen 
BINARIES_MIN	+= suspend-keygen 
CC_FLAGS	+= -DCONFIG_ENCRYPT
GCRYPT_CC_FLAGS	= $(shell libgcrypt-config --cflags)
SWSUSP_CC_FLAGS	+= $(GCRYPT_CC_FLAGS)
GCRYPT_LD_FLAGS = $(shell libgcrypt-config --libs)
SWSUSP_LD_FLAGS += $(GCRYPT_LD_FLAGS)
INSTALL_KEYGEN	= install-keygen
endif

ifndef CONFIG_UDEV
SNAPSHOT=$(DESTDIR)/dev/snapshot
endif

ifdef CONFIG_SPLASHY
SWSUSP_OBJ	+= splashy_funcs.o 
CC_FLAGS	+= -DCONFIG_SPLASHY
SWSUSP_LD_FLAGS	+= -lsplashy
ifndef CONFIG_RESUME_DYN
STATIC_LD_FLAGS += -lsplashycnf \
		$(shell directfb-config  --libs --input=keyboard \
		--imageprovider=jpeg,gif,png\
		--font=ft2,default) \
		$(shell pkg-config --static --libs glib-2.0)
STATIC_CC_FLAGS=$(shell directfb-config --cflags)\
		$(shell pkg-config --static --cflags glib-2.0)
else
SWSUSP_LD_FLAGS += -lgcc_s
endif
endif



all: $(BINARIES) 

clean: 
	rm -f $(BINARIES) suspend-keygen suspend.keys *.o vbetool/*.o

#### Rules for objects
s2ram-x86.o: %.o : %.c %.h whitelist.c
	$(CC) $(CC_FLAGS) -c $< -o $@

s2ram-both.o: s2ram.c s2ram.h
	$(CC) $(CC_FLAGS) -DCONFIG_BOTH -c $< -o $@

md5.o encrypt.o: %.o : %.c %.h md5.h
	$(CC) $(CC_FLAGS) -DHAVE_INTTYPES_H -DHAVE_STDINT_H -c $< -o $@

# Simple objects with header
config.o vt.o bootsplash.o splash.o splashy_funcs.o vbetool/vbetool.o s2ram-ppc.o: %.o : %.c %.h
	$(CC) $(CC_FLAGS) -c $< -o $@

# Simple object without header
dmidecode.o radeontool.o : %.o: %.c
	$(CC) $(CC_FLAGS) -c $< -o $@

#### Rules for binaries
s2disk:	$(SWSUSP_OBJ) suspend.c
	$(CC) -g $(CC_FLAGS)  $^ -o $@ $(SWSUSP_LD_FLAGS)

s2ram:	$(S2RAM_OBJ) s2ram.c
	$(CC) -g $(CC_FLAGS) -include s2ram-$(ARCH).h $^ -o $@ $(S2RAM_LD_FLAGS)

s2both:	$(SWSUSP_OBJ) $(S2RAM_OBJ) s2ram-both.o suspend.c 
	$(CC) -g $(CC_FLAGS) -include s2ram-$(ARCH).h -DCONFIG_BOTH  $^ -o $@ $(SWSUSP_LD_FLAGS) $(S2RAM_LD_FLAGS)

resume:	resume.c $(SWSUSP_OBJ)
	$(CC) $(CC_FLAGS) $(STATIC_CC_FLAGS) $^ -o $@ $(SWSUSP_LD_FLAGS) $(STATIC_LD_FLAGS) 
swap-offset: swap-offset.c
	$(CC) $(CC_FLAGS) $< -o $@ $(LD_FLAGS)

suspend-keygen:	 keygen.c md5.o encrypt.h 
	$(CC) $(CC_FLAGS) $(GCRYPT_CC_FLAGS) -DHAVE_INTTYPES_H -DHAVE_STDINT_H md5.o $< -o $@ $(LD_FLAGS) $(GCRYPT_LD_FLAGS)




#### Install targets
$(SNAPSHOT):
	mknod $(SNAPSHOT) c 10 231;

install-conf: conf/$(CONFIGFILE)
	if [ -f $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE) ]; then \
		install --mode=644 conf/$(CONFIGFILE) \
			$(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE).new;\
	else \
		install -D --mode=644 conf/$(CONFIGFILE) \
			$(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE); \
	fi

install-resume:
	install -D --mode=755 resume $(DESTDIR)$(RESUME_DIR)/resume

install-% : %
	install -D --mode=755 $< $(DESTDIR)$(SUSPEND_DIR)/$<

# Some convenience targets
install-resume-new-initrd:	resume conf/$(CONFIGFILE)
	BOOT_DIR=$(DESTDIR)$(BOOT_DIR) ./scripts/create-resume-initrd.sh $(RESUME_DEVICE)

install-resume-on-initrd:	resume 
	./scripts/install-resume.sh

install-minimal: $(patsubst %,install-%,$(BINARIES_MIN)) $(SNAPSHOT) install-conf

install: $(patsubst %,install-%,$(BINARIES)) $(SNAPSHOT) install-conf


.PHONY: clean install install-minimal install-resume-on-initrd install-resume-new-initrd

## uswsusp 0.7

=== Makefile ===
#CONFIG_COMPRESS=yes
#CONFIG_ENCRYPT=yes
#CONFIG_SPLASHY=yes
#CONFIG_UDEV=yes
#CONFIG_RESUME_DYN=yes

PREFIX=/usr/local
SUSPEND_DIR=$(PREFIX)/sbin
RESUME_DIR=$(PREFIX)/lib/suspend
CONFIG_DIR=/etc
RESUME_DEVICE=<path_to_resume_device_file>
BOOT_DIR=/boot
CONFIGFILE=suspend.conf
CFLAGS := -O2 -Wall

###############################################################

ARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ -e s/ppc.*/ppc/)

CC_FLAGS=-I/usr/local/include -DS2RAM $(CFLAGS)
LD_FLAGS=-L/usr/local/lib

BINARIES=s2disk s2both s2ram swap-offset resume
BINARIES_MIN=s2disk swap-offset

S2RAM_OBJ=vt.o config_parser.o
SWSUSP_OBJ=vt.o md5.o encrypt.o config_parser.o loglevel.o splash.o bootsplash.o

S2RAM_LD_FLAGS = $(LD_FLAGS)
SWSUSP_LD_FLAGS = $(LD_FLAGS)
ifeq ($(ARCH), x86)
S2RAM_OBJ += s2ram-x86.o whitelist.o dmidecode.o radeontool.o vbetool/vbetool.o
S2RAM_LD_FLAGS += -lx86 -lpci -lz
endif
ifeq ($(ARCH), ppc)
S2RAM_OBJ += s2ram-ppc.o
endif

ifndef CONFIG_RESUME_DYN
STATIC_LD_FLAGS = -static
endif

ifdef CONFIG_COMPRESS
CC_FLAGS	+= -DCONFIG_COMPRESS
SWSUSP_LD_FLAGS	+= -llzo2
endif

ifdef CONFIG_ENCRYPT
BINARIES	+= suspend-keygen 
BINARIES_MIN	+= suspend-keygen 
CC_FLAGS	+= -DCONFIG_ENCRYPT
GCRYPT_CC_FLAGS	= $(shell libgcrypt-config --cflags)
SWSUSP_CC_FLAGS	+= $(GCRYPT_CC_FLAGS)
GCRYPT_LD_FLAGS = $(shell libgcrypt-config --libs)
SWSUSP_LD_FLAGS += $(GCRYPT_LD_FLAGS)
INSTALL_KEYGEN	= install-keygen
endif

ifndef CONFIG_UDEV
SNAPSHOT=$(DESTDIR)/dev/snapshot
endif

ifdef CONFIG_SPLASHY
SWSUSP_OBJ	+= splashy_funcs.o 
CC_FLAGS	+= -DCONFIG_SPLASHY
SWSUSP_LD_FLAGS	+= -lsplashy
ifndef CONFIG_RESUME_DYN
STATIC_LD_FLAGS += -lsplashycnf \
		$(shell directfb-config  --libs --input=keyboard \
		--imageprovider=jpeg,gif,png\
		--font=ft2,default) \
		$(shell pkg-config --static --libs glib-2.0)
STATIC_CC_FLAGS=$(shell directfb-config --cflags)\
		$(shell pkg-config --static --cflags glib-2.0)
else
SWSUSP_LD_FLAGS += -lgcc_s
endif
endif



all: $(BINARIES) 

clean: 
	rm -f $(BINARIES) suspend-keygen suspend.keys *.o vbetool/*.o

#### Rules for objects
s2ram-x86.o: %.o : %.c %.h
	$(CC) $(CC_FLAGS) -c $< -o $@

s2ram-both.o: s2ram.c s2ram.h
	$(CC) $(CC_FLAGS) -DCONFIG_BOTH -c $< -o $@

md5.o encrypt.o: %.o : %.c %.h md5.h
	$(CC) $(CC_FLAGS) -DHAVE_INTTYPES_H -DHAVE_STDINT_H -c $< -o $@

# Simple objects with header
config_parser.o vt.o bootsplash.o splash.o splashy_funcs.o vbetool/vbetool.o s2ram-ppc.o: %.o : %.c %.h
	$(CC) $(CC_FLAGS) -c $< -o $@

# Simple object without header
dmidecode.o radeontool.o : %.o: %.c
	$(CC) $(CC_FLAGS) -c $< -o $@

#### Rules for binaries
s2disk:	$(SWSUSP_OBJ) suspend.c
	$(CC) -g $(CC_FLAGS)  $^ -o $@ $(SWSUSP_LD_FLAGS)

s2ram:	$(S2RAM_OBJ) s2ram.c s2ram-main.c
	$(CC) -g $(CC_FLAGS) -include s2ram-$(ARCH).h $^ -o $@ $(S2RAM_LD_FLAGS)

s2both:	$(SWSUSP_OBJ) $(S2RAM_OBJ) s2ram-both.o suspend.c 
	$(CC) -g $(CC_FLAGS) -include s2ram-$(ARCH).h -DCONFIG_BOTH  $^ -o $@ $(SWSUSP_LD_FLAGS) $(S2RAM_LD_FLAGS)

resume:	resume.c $(SWSUSP_OBJ)
	$(CC) $(CC_FLAGS) $(STATIC_CC_FLAGS) $^ -o $@ $(SWSUSP_LD_FLAGS) $(STATIC_LD_FLAGS) 
swap-offset: swap-offset.c
	$(CC) $(CC_FLAGS) $< -o $@ $(LD_FLAGS)

suspend-keygen:	 keygen.c md5.o encrypt.h 
	$(CC) $(CC_FLAGS) $(GCRYPT_CC_FLAGS) -DHAVE_INTTYPES_H -DHAVE_STDINT_H md5.o $< -o $@ $(LD_FLAGS) $(GCRYPT_LD_FLAGS)




#### Install targets
$(SNAPSHOT):
	mknod $(SNAPSHOT) c 10 231;

install-conf: conf/$(CONFIGFILE)
	if [ -f $(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE) ]; then \
		install --mode=644 conf/$(CONFIGFILE) \
			$(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE).new;\
	else \
		install -D --mode=644 conf/$(CONFIGFILE) \
			$(DESTDIR)$(CONFIG_DIR)/$(CONFIGFILE); \
	fi

install-resume:
	install -D --mode=755 resume $(DESTDIR)$(RESUME_DIR)/resume

install-% : %
	install -D --mode=755 $< $(DESTDIR)$(SUSPEND_DIR)/$<

# Some convenience targets
install-resume-new-initrd:	resume conf/$(CONFIGFILE)
	BOOT_DIR=$(DESTDIR)$(BOOT_DIR) ./scripts/create-resume-initrd.sh $(RESUME_DEVICE)

install-resume-on-initrd:	resume 
	./scripts/install-resume.sh

install-minimal: $(patsubst %,install-%,$(BINARIES_MIN)) $(SNAPSHOT) install-conf

install: $(patsubst %,install-%,$(BINARIES)) $(SNAPSHOT) install-conf


.PHONY: clean install install-minimal install-resume-on-initrd install-resume-new-initrd

## uswsusp 1.0

=== debian/changelog ===
uswsusp (1.0-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: 
      + Remove the SPLASHY_LIBS piece, it's useless since the splashy support
        has been disabled
      + Don't run debconf-updatepo in clean target

 -- Lorenzo De Liso <blackz@ubuntu.com>  Sat, 30 Apr 2011 12:01:13 +0200

uswsusp (1.0-1) unstable; urgency=low

  [ Rodolfo García Peñas (kix) ]
  * New 1.0 version [Closes: #589743, #578496, #617534]
  * A lot of new machines. 
    [Closes: #552484, #576803, #528483] 
    [Closes: #495111, #595125, #486352, #433872, #590233] 
  * A new length for addressing 
    [Closes: #550725, #549118]
    (http://lkml.org/lkml/2009/11/3/377)
  * Support for Kernel Mode Set (KMS) 
    [Closes: #437094, #586674, #547158, #567604]
  * Switch to dpkg-source 3.0 (quilt) format
  * Compiled without splash support. 
    libsplash is not included in stable, many bugs.
  * Moved the manpage file "suspend.conf.8" to manual section 5.
    [Closes: #520705]

  [ Anibal Monsalve Salazar ]
  * Update uploaders list

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Mon, 14 Mar 2011 08:26:16 +0100

uswsusp (0.8-1.2ubuntu1) maverick; urgency=low

  * Merge from debian unstable. (LP: #604910) Remaining changes:
    - Remove splashy support from debian/rules.
    - Remove splashy from Suggests.
    - Remove libsplashy1-dev from Build-Depends.
    - debian/rules: don't run debconf-updatepo in clean target.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Sun, 08 Aug 2010 11:47:01 +0530

uswsusp (0.8-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch by Robert Millan to address the 'postinst fails when
    running inside a chroot and swap is a regular file' issue.
    [Closes: #533251, #522319]

 -- Michael Prokop <mika@debian.org>  Sat, 12 Dec 2009 23:19:28 +0100

uswsusp (0.8-1.1ubuntu3) jaunty; urgency=low

  * Remove usplash support also from debian/rules.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 19 Mar 2009 18:00:31 +0100

uswsusp (0.8-1.1ubuntu2) jaunty; urgency=low

  * Remove usplash support, it doesn't work (LP: #241115, #331101).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 19 Mar 2009 15:19:44 +0100

uswsusp (0.8-1.1ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable (LP: #241115, #132603), remaining Ubuntu
    changes:
    - debian/control: modify libsplashy1-dev to libusplash-dev in Build-Depends
      field
    - debian/rules: don't run debconf-updatepo in clean target
    - add usplash support, I hope the patch is good
  * s2ram is built in Ubuntu again (LP: #134238).
  * debian/control: modify splashy (>= 0.3) to uspash in Suggests field.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Fri, 13 Feb 2009 21:48:21 +0100

uswsusp (0.8-1.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Remove extra and useless debian/po/ff/ directory
  * Debconf translation updates:
    - Japanese. Closes: #489939
    - German. Closes: #493747
    - French. Closes: #493771
    - Romanian. Closes: #493772
    - Galician. Closes: #494050
    - Finnish. Closes: #494087
    - Italian. Closes: #494096
    - Basque. Closes: #494277
    - Basque. Closes: #494277
    - Czech. Closes: #494410
    - Swedish. Closes: #494412
    - Russian. Closes: #495412
    - Portuguese. Closes: #495451
    - Spanish. Closes: #495499
    - Slovak. Closes: #495516

 -- Christian Perrier <bubulle@debian.org>  Wed, 20 Aug 2008 09:09:13 +0200

uswsusp (0.8-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream release (closes: #459844). 

  [ Tim Dijkstra ]
  * The "Sorry this took so long, but a baby and a house got in the way" - release
  * Add patch for LFS (closes: #451249)
  * Remove use of grep in initramfs (closes: #443434) 
  * New models in the whitelist (closes: #473160, #467109, #475367, #448484,
    #458566, #458566, #470314, #487656, #444810)
  * Ask shutdown_method at low priority (closes: #448536) 
  * Change CONFIG_SOFTWARE_SUSPEND to CONFIG_HIBERNATION (closes: #452030, #470861)
  * Update whitelist for MacBook1,1 (closes: #458308)
  * Make CLI arguments consistent, update manpages (closes: #471120)
  * Document shutdown_method (closes: #490568)
  * Debconf translation updates (closes: #470578, #491418, #489939)
    Thanks: Vincent Zweije [nl], Martin Ågren [sv], Hideki Yamane [jp]
  * Do not hang when user supplies an empty passphrase. Thanks Mikko Rapeli
    for the patch. (closes: #457963)
  * Fix typo in README (closes: #448450) 
  * Remove libzf licence from copyright file (closes: #474389) 
  * Disable erroneous comress ratio output. This is fixed upstream by now, but
    it's not worth the trouble backporting IMHO. (closes: #443677, #443818)
  * Disable improved key handeling patch. This version is not working
    anymore. New version is applied upstream, no time for backporting before 
    lenny, sorry.
  * Remove hack for devfs style node names (closes: #450680) 

 -- Tim Dijkstra <tim@debian.org>  Mon, 28 Jul 2008 23:22:26 +0200

uswsusp (0.7-1.1) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues and FTBFS.
  * Fix FTBFS by (temporarily?) build-depending on glib. Thanks to
    Bart martens for the patch. Closes: #456841
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #445590
  * [Debconf translation updates]
    - Romanian. Closes: #446434
    - Galician. Closes: #446608
    - Czech. Closes: #446669
    - Vietnamese. Closes: #446997
    - Finnish. Closes: #447003
    - Basque. Closes: #447228
    - Italian. Closes: #447442
    - French. Closes: #447485
    - Portuguese. Closes: #447809
    - Russian. Closes: #447901
    - Slovak. Closes: #447914, #467529
    - Brazilian Portuguese. Closes: #448103, #469874
    - Spanish. Closes: #448999
  * Fix typo in NEWS.Debian. Closes: #459443
  * [Lintian] Use the new "Homepage" field in debian/control


=== debian/control ===
Source: uswsusp
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tim Dijkstra <tim@debian.org>
Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Rodolfo García Peñas (kix) <kix@kix.es>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libpci-dev, docbook-xml, xsltproc, po-debconf, zlib1g-dev, libx86-dev [amd64 i386], pkg-config, autotools-dev, quilt, liblzo2-dev, libgcrypt11-dev, docbook2x
Standards-Version: 3.9.1
Homepage: http://suspend.sourceforge.net/

Package: uswsusp
Architecture: amd64 i386 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: initramfs-tools (>= 0.74), mount (>= 2.12r-17)
Description: tools to use userspace software suspend provided by Linux
 This package (also known as µswsusp, suspend-utils or simply suspend) 
 contains the programs to use the userspace software suspend facility
 available in Linux kernels 2.6.17-rc1 and higher. It allows the system
 to have its state saved to disk and be powered off. On restarting,
 it will be put back in the state it was left in (this is sometimes
 called hibernation).
 .
 It also includes a program to suspend the system to RAM after the
 state is saved to disk. In that state, the system still uses power,
 but resuming is faster. If the battery depletes, the state is
 resumed from disk without data loss.
 .
 Optional features include encrypting the system snapshot.
 .
 To use this package you need a Linux kernel version 2.6.17-rc1 or newer
 configured to use an initramfs. Hooks and scripts to integrate with 
 initramfs-tools are provided.

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright 2006 Tim Dijstra <tim@famdijkstra.org>
#
# Based on output from dh_make

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

MANPAGES=s2disk.8 s2ram.8 swap-offset.8 uswsusp.conf.5 suspend-keygen.8

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#CFLAGS += `pkg-config --cflags glib-2.0`
#SPLASHY_LIBS = -L/lib -lsplashy -lgcc_s
SPLASHY_LIBS = -L/lib -lgcc_s

%.5: debian/%.xml
	docbook2x-man $<

%.8: debian/%.xml
	docbook2x-man $<

config.status:
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	#./autogen.sh
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--docdir=\$${prefix}/share/doc/uswsusp \
		--with-initramfsdir=/usr/lib/uswsusp \
		--disable-resume-static \
		--disable-create-device \
		--enable-compress \
		--enable-encrypt \
		CFLAGS="$(CFLAGS)"

build: build-stamp

build-stamp: patch config.status $(MANPAGES)
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	chmod 755 debian/initramfs-tools/scripts/local-premount/* \
			debian/initramfs-tools/hooks/*
	
	touch $@

clean: clean-source unpatch
clean-source:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f $(MANPAGES)
	rm -f config.guess config.sub

	#debconf-updatepo

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/uswsusp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/uswsusp

	# We don't want upstreams config file. 
	# Remove it here so I don't forget to patch the Makefile
	rm -f $(CURDIR)/debian/uswsusp/etc/suspend.conf
	rm -f $(CURDIR)/debian/uswsusp/usr/share/doc/uswsusp/COPYING*
	rm -rf $(CURDIR)/debian/uswsusp/dev

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installdebconf
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zbzip2 -z9

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.example.com/downloads.php suspend-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/suspend-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/suspend-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
http://sf.net/suspend/suspend-(.*)\.tar\.gz

## uswsusp 1.0+20110509

=== debian/changelog ===
uswsusp (1.0+20110509-3ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Remove the SPLASHY_LIBS piece, it's useless since the
      splashy support has been disabled

 -- Logan Rosen <logatronico@gmail.com>  Sat, 27 Oct 2012 17:38:51 -0400

uswsusp (1.0+20110509-3) unstable; urgency=low

  * New maintainer.
  * debian/control: Build-Depends, double "autotools-dev" dependency.
    Removing one of them.
  * debian/uswsusp.templates: Solved small typo in one template.
    Patch from David Prévot <taffit@debian.org> [Closes: #686258]
  * Debconf translation updates:
    - cs: Michal Šimůnek <michal.simunek@gmail.com> [Closes: #687194]
    - da: Joe Hansen <joedalton2@yahoo.dk> [Closes: #686458]
    - de: Holger Wansing <linux@wansing-online.de> [Closes: #686732]
    - es: Javier Fernández-Sanguino Peña <jfs@debian.org> [Closes: #686771]
    - fr: Christian Perrier <bubulle@debian.org> [Closes: #686911]
    - it: Luca Monducci <luca.mo@tiscali.it> [Closes: #686486]
    - jp: Victory <victory.deb@gmail.com>
    - nl: Willem Kuyn <willemkuyn@gmail.com>
    - pl: Michał Kułach <michal.kulach@gmail.com> [Closes: #686599]
    - pt: Traduz <traduz@debianpt.org> [Closes: #686734]
    - ru: Yuri Kozlov <kozlov.y@gmail.com> [Closes: #686476]
    - sk: Ivan Masár <helix84@centrum.sk> [Closes: #686532]
    - sv: Martin Bagge <brother@bsnet.se> [Closes: #688421]

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Mon, 3 Sep 2012 23:11:35 +0200

uswsusp (1.0+20110509-2ubuntu1) precise; urgency=low

  * Merge from debian unstable (LP: #892306).  Remaining changes:
    - debian/rules: 
      + Remove the SPLASHY_LIBS piece, it's useless since the splashy support
        has been disabled

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 18 Nov 2011 12:11:05 +0000

uswsusp (1.0+20110509-2) unstable; urgency=low

  [ Rodolfo García Peñas (kix) ]
  * In the version 1.0-1 the uswsusp uses KMS and follow the kernel
    [Closes: #500794] 
  * Machine support using whitelist finished in version 1.0-1
    [Closes: #520848, #518369, #498195, #497848, #526938, #509635]
    [Closes: #495436, #497842, #591066, #402365, #498917, #521147]
    [Closes: #541135, #530389, #574874]
  * In version 1.0-2: Corrected the doble quote in the uswsusp hook
    [Closes: #604427]
  * All debian/patches includes now description. DEP-3
  * Debian standard version is now 3.9.2
  * Debian changelog is now DEP-5

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Sun, 25 Sep 2011 16:17:13 +0200

uswsusp (1.0+20110509-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Vietnamese (Clytie Siddall).  Closes: #601560
    - Dutch (willem kuyn).  Closes: #622914
    - Danish (Joe Hansen).  Closes: #624659

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Jul 2011 12:29:35 +0200

uswsusp (1.0+20110509-1) unstable; urgency=low

  [ Rodolfo García Peñas (kix) ]
  * New upstream version from git
  * Now the postinst script checks if /dev/MAKEDEV exists [Closes: #522707]
  * The uswsusp.postinst file writes correctly the conf file [Closes: #524301]
  * Added "shutdown_method" in the NOTQ in uswsusp.config. 
    Is included in the 0.7 version, but not in 0.8. [Closes: #503337]

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Mon, 9 May 2011 00:04:43 +0200

uswsusp (1.0-2) unstable; urgency=low

  [ Rodolfo García Peñas (kix) ]
  * Patch for vt when not needed [Closes: #530713]
  * Corrected some spelling problems [Closes: #609418, #518636]
  * Vietnamese debconf template update [Closes: #601560]
  * The orig file includes the wlcsv2c.pl file (needed to make)
  * s2ram --force compatibility with PPC platform [Closes: #523552]
  * Corrected the doble quote in the uswsusp hook [Closes: #606732, #600572]
  * The bug #525001 was solved previously [Closes: #525001]
  * Added the > character in the uswsusp.conf file [Closes: #539116]

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Thu, 18 Mar 2011 20:39:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tim Dijkstra <tim@debian.org>
-Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Rodolfo García Peñas (kix) <kix@kix.es>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libpci-dev, docbook-xml, xsltproc, po-debconf, zlib1g-dev, libx86-dev [amd64 i386], pkg-config, autotools-dev, quilt, liblzo2-dev, libgcrypt11-dev, docbook2x
-Standards-Version: 3.9.1
+XSBC-Original-Maintainer: Rodolfo García Peñas (kix) <kix@kix.es>
+Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libpci-dev, docbook-xsl, docbook-xml, xsltproc, po-debconf, zlib1g-dev, libx86-dev [amd64 i386], pkg-config, liblzo2-dev, libgcrypt11-dev, docbook2x
+Standards-Version: 3.9.2
 Homepage: http://suspend.sourceforge.net/
 
 Package: uswsusp

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright 2006 Tim Dijstra <tim@famdijkstra.org>
# Upgraded by Rodolfo García Peñas (kix) <kix@kix.es>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#CFLAGS += `pkg-config --cflags glib-2.0`
#SPLASHY_LIBS = -L/lib -lsplashy -lgcc_s
SPLASHY_LIBS = -L/lib -lgcc_s
DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP=xsltproc -''-nonet

%:
	dh $@

override_dh_auto_configure:
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_auto_configure -- --host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		-prefix=/usr \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--docdir=\$${prefix}/share/doc/uswsusp \
		--with-initramfsdir=/usr/lib/uswsusp \
		--disable-resume-static \
		--disable-create-device \
		--enable-compress \
		--enable-encrypt \
		CFLAGS="$(CFLAGS)"

override_dh_clean:
	dh_clean
	rm -f config.sub config.guess

#build-stamp: patch config.status
#	dh_testdir
#
#	# Add here commands to compile the package.
#	$(MAKE)
#
#	chmod 755 debian/initramfs-tools/scripts/local-premount/* \
#			debian/initramfs-tools/hooks/*
#	
#	touch $@
#
#clean-source:
#	dh_testdir
#	dh_testroot
#	rm -f build-stamp
#
#	# Add here commands to clean up after the build process.
#	[ ! -f Makefile ] || $(MAKE) distclean
#
#	debconf-updatepo
#
#	dh_clean 

override_dh_install:
	dh_install
#install: build
#	dh_testdir
#	dh_testroot
#	dh_prep
#	dh_installdirs
#
#	# Add here commands to install the package into debian/uswsusp.
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/uswsusp
#
#	# We don't want upstreams config file. 
#	# Remove it here so I don't forget to patch the Makefile
	rm -f $(CURDIR)/debian/uswsusp/etc/suspend.conf
	rm -f $(CURDIR)/debian/uswsusp/usr/share/doc/uswsusp/COPYING*
	rm -rf $(CURDIR)/debian/uswsusp/dev


override_dh_auto_build:
	$(XP) -o debian/ \
	--param make.year.ranges 1 \
	--param make.single.year.ranges 1 \
	--param man.charmap.use.subset 0 \
	$(DB2MAN) \
	debian/s2disk.8.xml debian/s2ram.8.xml \
	debian/swap-offset.8.xml debian/suspend-keygen.8.xml \
	debian/uswsusp.conf.5.xml
	dh_auto_build
